All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::visualization::gnuplot Namespace Reference

Gnuplot rendering. More...

## Classes

class | Command
| Gnuplot command. More...

## Typedefs

typedef Function::discreteInterval_t | discreteInterval_t
| Import discrete interval type from function. More...
typedef DifferentiableFunction::argument_t | argument_t
| Import discrete interval type from function. More...

## Functions

ROBOPTIM_DLLAPI Command | comment (const char *) throw ()
| Make a Gnuplot comment. More...
ROBOPTIM_DLLAPI Command | set (const char *var, const char *val="") throw ()
| Make a Gnuplot set command. More...
ROBOPTIM_DLLAPI Command | unset (const char *var) throw ()
| Make a Gnuplot unset command. More...
ROBOPTIM_DLLAPI Command | show (const char *var) throw ()
| Make a Gnuplot show command. More...
ROBOPTIM_DLLAPI Command | clear () throw ()
| Make a Gnuplot clear command. More...
ROBOPTIM_DLLAPI Command | pwd () throw ()
| Make a Gnuplot pwdcommand. More...
ROBOPTIM_DLLAPI Command | quit () throw ()
| Make a Gnuplot quit command. More...
ROBOPTIM_DLLAPI Command | replot () throw ()
| Make a Gnuplot replot command. More...
ROBOPTIM_DLLAPI Command | reread () throw ()
| Make a Gnuplot reread command. More...
ROBOPTIM_DLLAPI Command | reset () throw ()
| Make a Gnuplot reset command. More...
ROBOPTIM_DLLAPI Command | cd (const char *dir) throw ()
| Make a Gnuplot cd command. More...
ROBOPTIM_DLLAPI Command | help (const char *topic="") throw ()
| Make a Gnuplot help command. More...
Command | plot_jac (const DifferentiableFunction &f, const DifferentiableFunction::argument_t &arg)
| Plot the Jacobian with Gnuplot. More...
template<typename T >
Command | plot (const GenericFunction< T > &f, discreteInterval_t interval)
| Plot a 1D function with Gnuplot. More...
template<typename T >
Command | plot_xy (const GenericFunction< T > &f, discreteInterval_t interval)
| Plot a 2D function with Gnuplot. More...

## Detailed Description

Gnuplot rendering.

Gnuplot display classes.